PromotionsCoupons
Assign customers to coupon code
PUT
/v1/coupons/{couponId}/codes/{codeId}/customersAssign customers to coupon code. A successful request returns HTTP 204 without a response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
couponId*string
Identifier of the coupon.
codeId*string
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/coupons/7204558912004325301/codes/7204558912004325301/customers" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "customerIds": [ "example" ] }'Empty